#
# spec file for package perl-MooseX-Singleton
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           perl-MooseX-Singleton
Version:        0.29
Release:        2.1
%define cpan_name MooseX-Singleton
Summary:        turn your Moose class into a singleton
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/MooseX-Singleton/
Source:         http://www.cpan.org/authors/id/K/KA/KAARE/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Moose) >= 1.10
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Requires)
#BuildRequires: perl(Moose::Exporter)
#BuildRequires: perl(Moose::Role)
#BuildRequires: perl(MooseX::Singleton)
#BuildRequires: perl(MooseX::Singleton::Role::Meta::Class)
#BuildRequires: perl(MooseX::Singleton::Role::Meta::Instance)
#BuildRequires: perl(MooseX::Singleton::Role::Meta::Method::Constructor)
#BuildRequires: perl(MooseX::Singleton::Role::Object)
#BuildRequires: perl(MooseX::StrictConstructor)
Requires:       perl(Moose) >= 1.10
%{perl_requires}

%description
A singleton is a class that has only one instance in an application.
'MooseX::Singleton' lets you easily upgrade (or downgrade, as it were) your
the Moose manpage class to a singleton.

All you should need to do to transform your class is to change 'use Moose'
to 'use MooseX::Singleton'. This module uses metaclass roles to do its
magic, so it should cooperate with most other 'MooseX' modules.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Thu Dec 22 2011 coolo@suse.de
- updated to 0.29
  - Fix warnings_once.t to not die if Test::NoWarnings isn't installed (Kaare)
  - Fix RT Bug #46086, "name used only once" (Thanks chisel for the patch and
    the test)
* Thu Dec 22 2011 coolo@suse.com
- update to 0.27
  - Fix 006-cooperative.t - this test requires MooseX::StrictConstructor
    0.16+ to pass with Moose 2.00+. Reported by Alexandr Ciornii. RT
    [#67965]. (Dave Rolsky)
* Sat Apr 30 2011 coolo@opensuse.org
- updated to 0.26
  - This module will now work with Moose 1.9900+, but it still works with
    older Moose as well. (Dave Rolsky)
  - The test suite now uses Test::Fatal instead of Test::Exception. (Karen
    Etheridge)
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Aug 31 2010 pascal.bleser@opensuse.org
- initial package (0.25)
